Skip to main content
POST
/
newsletter
/
subscribers
/
{subscriberId}
/
block
Block Subscriber
curl --request POST \
  --url https://api.getmaito.com/v1/newsletter/subscribers/{subscriberId}/block \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "workspaceId": "<string>",
    "accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "emailNormalized": "jsmith@example.com",
    "emailOriginal": "<string>",
    "subscribedAt": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "source": "<string>",
    "sourceIssueId": "<string>",
    "sourcePostId": "<string>",
    "sourceCtaLinkId": "<string>",
    "sourceVisitorId": "<string>",
    "unsubscribedAt": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getmaito.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:your-api-key
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

subscriberId
string
required

Subscriber ID.

Minimum string length: 1

Response

Successful response.

ok
enum<boolean>
required
Available options:
true
data
object
required